org.scalatest.matchers.Matchers

# ResultOfBeWordForAnyRef

#### class ResultOfBeWordForAnyRef [T <: AnyRef] extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResultOfBeWordForAnyRef
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResultOfBeWordForAnyRef (left: T, shouldBeTrue: Boolean)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def a (bePropertyMatcher: BePropertyMatcher[T]): Unit

   This method enables the following syntax, where `badBook` is, for example, of type `Book` and `goodRead` refers to a `BePropertyMatcher[Book]`:

   This method enables the following syntax, where `badBook` is, for example, of type `Book` and `goodRead` refers to a `BePropertyMatcher[Book]`:

       badBook should be a (goodRead)
                         ^

7. #### def a (symbol: Symbol): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       fileMock should be a ('file)
                          ^

8. #### def an (beTrueMatcher: BePropertyMatcher[T]): Unit

   This method enables the following syntax, where `badBook` is, for example, of type `Book` and `excellentRead` refers to a `BePropertyMatcher[Book]`:

   This method enables the following syntax, where `badBook` is, for example, of type `Book` and `excellentRead` refers to a `BePropertyMatcher[Book]`:

       book should be an (excellentRead)
                      ^

9. #### def an (symbol: Symbol): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       fruit should be an ('orange)
                       ^

10. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

11. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

15. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

17. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def theSameInstanceAs (right: AnyRef): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should be theSameInstanceAs anotherObject
                         ^

23. #### def toString (): String

    Definition Classes
      AnyRef → Any

24. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any